//选型模块
import { defineStore } from "pinia";
const corpFlag = "IEE";
const keyBySimu = `${corpFlag}_BySimu`;
const keyByParas = `${corpFlag}_ByParas`;
export const useSelect = defineStore("select", {
  state: () => ({
    /**参数选型 */
    ByParas:JSON.parse(sessionStorage.getItem(keyByParas)) || {}
  }),
  actions: {
    setByParas(current) {
      sessionStorage.setItem(keyByParas,JSON.stringify(current));
      Object.assign(this.ByParas, current);
    },

    setBySimu(current) {
      sessionStorage.setItem(keyBySimu, JSON.stringify(current));
      Object.assign(this.BySimu, current);
    },

    setBySWParas(current) {
      sessionStorage.setItem("BySWParas", JSON.stringify(current));
      Object.assign(this.BySWParas, current);
    },
    
    clear(key) {
      sessionStorage.remove(key);
    },
  },
});
